package edu.neu.ccs.demeter.aplib;

/** Thrown when a constraint map edge label cannot be mapped to a
    class graph edge. */
public class NoSuchClassGraphEdgeException extends Exception {
  public NoSuchClassGraphEdgeException(String l) {
    super("No such class graph edge corresponding to label \"" + l + "\".");
    label = l;
  }
  String label;
  public String getLabel() { return label; } 
}
