package edu.neu.ccs.demeter.aplib;

/** Thrown when a constraint map edge label cannot be mapped to a
    class graph edge label. */
public class NoSuchClassGraphEdgeLabelException extends Exception {
  public NoSuchClassGraphEdgeLabelException(String l) {
    super("No such class graph edge label corresponding to label \"" + l + "\".");
    label = l;
  }
  String label;
  public String getLabel() { return label; } 
}
