package edu.neu.ccs.demeter.aplib;

/** Thrown when a strategy graph or constraint map node cannot be
    mapped to a class graph node. */
public class NoSuchClassGraphNodeException extends Exception {
  public NoSuchClassGraphNodeException(Object n) {
    super("No such class graph node corresponding to " + n + ".");
    node = n;
  }
  Object node;
  public Object getNode() { return node; }
}
